Gentoo Logo
Gentoo Spaceship




Note: Due to technical difficulties, the Archives are currently not up to date. GMANE provides an alternative service for most mailing lists.
c.f. bug 424647
List Archive: gentoo-commits
Navigation:
Lists: gentoo-commits: < Prev By Thread Next > < Prev By Date Next >
Headers:
To: gentoo-commits@g.o
From: "Mike Frysinger (vapier)" <vapier@g.o>
Subject: gentoo-x86 commit in eclass: toolchain.eclass
Date: Tue, 20 Nov 2007 05:06:19 +0000
vapier      07/11/20 05:06:19

  Modified:             toolchain.eclass
  Log:
  enable treelang by default when possible

Revision  Changes    Path
1.343                eclass/toolchain.eclass

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/eclass/toolchain.eclass?rev=1.343&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/eclass/toolchain.eclass?rev=1.343&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/eclass/toolchain.eclass?r1=1.342&r2=1.343

Index: toolchain.eclass
===================================================================
RCS file: /var/cvsroot/gentoo-x86/eclass/toolchain.eclass,v
retrieving revision 1.342
retrieving revision 1.343
diff -u -r1.342 -r1.343
--- toolchain.eclass	12 Nov 2007 19:33:00 -0000	1.342
+++ toolchain.eclass	20 Nov 2007 05:06:18 -0000	1.343
@@ -1,6 +1,6 @@
 # Copyright 1999-2007 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/toolchain.eclass,v 1.342 2007/11/12 19:33:00 vapier Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/toolchain.eclass,v 1.343 2007/11/20 05:06:18 vapier Exp $
 #
 # Maintainer: Toolchain Ninjas <toolchain@g.o>
 
@@ -1184,6 +1184,7 @@
 		use objc-gc && confgcc="${confgcc} --enable-objc-gc"
 		is_objcxx && GCC_LANG="${GCC_LANG},obj-c++"
 	fi
+	is_treelang && GCC_LANG="${GCC_LANG},treelang"
 
 	# fortran support just got sillier! the lang value can be f77 for
 	# fortran77, f95 for fortran95, or just plain old fortran for the
@@ -2383,3 +2384,10 @@
 	use build && return 1
 	use ada
 }
+
+is_treelang() {
+	gcc-lang-supported treelang || return 1
+	use build && return 1
+	#use treelang
+	return 0
+}



-- 
gentoo-commits@g.o mailing list


Navigation:
Lists: gentoo-commits: < Prev By Thread Next > < Prev By Date Next >
Previous by thread:
gentoo-x86 commit in eclass: toolchain.eclass
Next by thread:
gentoo-x86 commit in eclass: toolchain.eclass
Previous by date:
gentoo-x86 commit in dev-python/qscintilla-python: qscintilla-python-2.1.ebuild ChangeLog metadata.xml Manifest
Next by date:
gentoo-x86 commit in x11-libs/qscintilla/files: - New directory


Updated Jun 08, 2011

Summary: Archive of the gentoo-commits mailing list.

Donate to support our development efforts.

Copyright 2001-2013 Gentoo Foundation, Inc. Questions, Comments? Contact us.